## ClutterGstAspectratio ClutterGstAspectratio — A ClutterContent for displaying video frames with respect to their aspect ratio. |

## Functions

ClutterContent * | clutter_gst_aspectratio_new ()

## Properties

gboolean | fill-allocation | Read / Write
gboolean | paint-borders | Read / Write

## Types and Values

struct | ClutterGstAspectratio
struct | ClutterGstAspectratioClass

## Object Hierarchy

        GObject
        ╰── ClutterGstContent
            ╰── ClutterGstAspectratio

## Implemented Interfaces

ClutterGstAspectratio implements ClutterContent.

## Description

ClutterGstContent implements the ClutterContent interface.

## Functions

### clutter_gst_aspectratio_new ()

    ClutterContent *
    clutter_gst_aspectratio_new (void);

#### Returns

a new ClutterGstAspectratio instance.

[transfer full]

## Types and Values

### struct ClutterGstAspectratio

    struct ClutterGstAspectratio;

Implementation of ClutterGstContent that displays video streams with respects to their aspect ratio.

The ClutterGstAspectratio structure contains only private data and should not be accessed directly.

### struct ClutterGstAspectratioClass

    struct ClutterGstAspectratioClass {
    };

Base class for ClutterGstAspectratio.

## Property Details

### The `“fill-allocation”` property

      “fill-allocation”          gboolean

Whether the content should fill its allocation with video rather than adding borders.

Flags: Read / Write

Default value: FALSE

Since: 3.0

### The `“paint-borders”` property

      “paint-borders”            gboolean

Whether or not paint borders on the sides of the video

Flags: Read / Write

Default value: FALSE

Since: 3.0